Skip to main content
GET
/
api
/
v1
/
opinion
/
{market_id}
/
market
{
  "market_id": "<string>",
  "exchange": "<string>",
  "event_type": "<string>",
  "status": "<string>",
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "inserted_at": "2023-11-07T05:31:56Z",
  "category": "<string>",
  "closed": true,
  "closed_time": 123,
  "resolution": "<string>",
  "rules": "<string>",
  "delphi_id": "<string>"
}

Authorizations

X-API-Key
string
header
required

Your API key (get one from the test-key endpoint above)

Path Parameters

market_id
string
required

Opinion Labs market ID

Response

Market details

Market details for an Opinion Labs market.

market_id
string

Unique market identifier

exchange
string

Exchange name

event_type
string

Type of event

status
string

Current market status

title
string

Market title / question

updated_at
string<date-time>

Last update timestamp

inserted_at
string<date-time>

When the market was first ingested

category
string

Market category

closed
boolean

Whether the market is closed

closed_time
integer | null

Unix timestamp when market closed

resolution
string

Market resolution status

rules
string

Market rules text

delphi_id
string

Delphi ID used for cross-exchange market matching